#!/bin/bash

# Uses the docker container defined in
# the `docker` directory of this repo.
# Run from the root directory of this repo.

# Targets in this repo:
# betalupi_ergodox:default
#
# Usage:
# bash build.sh betalupi_ergodox:default

docker run -it --rm \
	--user $(id -u):$(id -g) \
	-v "$(pwd)/output:/build_output" \
	-v "$(pwd)/keyboards:/qmk_firmware/keyboards:ro" \
	-e QMK_TARGET="$1" \
	git.betalupi.com/mark/qmk