// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(ARROWS)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_NULL
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_ergodox(\
        KC_TRANSPARENT, KC_NO,             KC_NO,          KC_NO,          KC_NO,            KC_NO,          KC_NO,\
        KC_TRANSPARENT, KC_NO,            LGUI(KC_LEFT),   KC_UP,          LGUI(KC_RIGHT),   KC_PGUP,        KC_TRANSPARENT,\
        KC_LGUI,        LALT(KC_LCTL),     KC_LEFT,        KC_DOWN,        KC_RIGHT,         KC_PGDN,\
        KC_TRANSPARENT, LGUI(KC_LCTL),     KC_NO,          KC_NO,          KC_NO,            KC_NO,          KC_TRANSPARENT,\
        KC_TRANSPARENT, KC_TRANSPARENT,    KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT,\
    \
                        KC_TRANSPARENT, KC_TRANSPARENT,\
                                        KC_TRANSPARENT,\
        KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT,\
    \
    \
        KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,\
        KC_TRANSPARENT, KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_TRANSPARENT,\
                        KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_TRANSPARENT,\
        KC_TRANSPARENT, KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_TRANSPARENT,\
                        KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT,\
    \
        KC_TRANSPARENT, KC_TRANSPARENT,\
        KC_TRANSPARENT,\
        KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT\
    )

    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_LEDS
    #define BETA_LAYER_CONTEXT_DATA LEDS_ergodox(\
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_CYAN,      LC_GREEN,     LC_CYAN,      LC_ORANGE, \
        LC_ORANGE,      LC_GREEN,     LC_GREEN,     LC_GREEN,     LC_ORANGE, \
        LC_ORANGE,      LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_PINK, \
        \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
                        LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF  \
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO