// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(PLAIN)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_ergodox(\
        KC_ESCAPE,              KC_1,       KC_2,       KC_3,           KC_4,       KC_5,           KC_PSCR,\
        KC_TAB,                 KC_Q,       KC_W,       KC_E,           KC_R,       KC_T,           KC_LGUI,\
        KC_DELETE,              KC_A,       KC_S,       KC_D,           KC_F,       KC_G,\
        KC_LCTL,               KC_Z,       KC_X,       KC_C,           KC_V,       KC_B,           KC_PGUP,\
        KC_LALT,                KC_NO,      KC_NO,      KC_LSFT,      MO(LAYER_ARROWS),\
    \
                        KC_F1, KC_F2,\
                               KC_F3,\
        KC_SPACE,   KC_BSPC, KC_F4,\
    \
    \
        KC_SCRL,    KC_6,       KC_7,       KC_8,               KC_9,                   KC_0,               TO(LAYER_MAIN),\
        KC_PAUSE,   KC_Y,       KC_U,       KC_I,               KC_O,                   KC_QUES,            KC_HOME,\
                    KC_H,       KC_J,       KC_K,               KC_DOT,                 KC_L,               KC_END,\
        KC_PGDN,    KC_N,       KC_M,       KC_P,               KC_COLON,               KC_GRAVE,           TT(LAYER_FKEYS),\
                                KC_UP,      KC_DOWN,            KC_LCBR,                KC_RCBR,            KC_DQUO,\
    \
        KC_F7, KC_F8,\
        KC_F6,\
        KC_F5, KC_RSFT, KC_ENTER\
    )

    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_INDICATORS
    case BETA_LAYER_MAGIC_MACRO:
        //ergodox_right_led_1_on();
        ergodox_right_led_2_on();
        //ergodox_right_led_3_on();
        break;
#endif

#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO