// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(NUMPAD)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_ergodox(\
        TO(LAYER_MAIN), KC_CIRC,        KC_NO,          KC_HASH,        KC_DLR,         KC_PERC,        TO(LAYER_MAIN),\
        KC_TRANSPARENT, KC_NO,          KC_7,           KC_8,           KC_9,           KC_ASTR,        KC_SLASH,\
        KC_TRANSPARENT, KC_PLUS,        KC_4,           KC_5,           KC_6,           KC_0,\
        KC_TRANSPARENT, KC_MINUS,       KC_1,           KC_2,           KC_3,           KC_DOT,         KC_NO,\
        KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT, KC_NO,          KC_NO,\
    \
                        KC_TRANSPARENT, KC_TRANSPARENT,\
                                        KC_TRANSPARENT,\
        KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT,\
    \
    \
        KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT,\
        KC_TRANSPARENT, KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_TRANSPARENT,\
                        KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_TRANSPARENT,\
        KC_TRANSPARENT, KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_NO,          KC_TRANSPARENT,\
                                        KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT,\
    \
        KC_TRANSPARENT, KC_TRANSPARENT,\
        KC_TRANSPARENT,\
        KC_TRANSPARENT, KC_TRANSPARENT, KC_TRANSPARENT\
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#ifdef BETA_LAYER_LEDS
    #define BETA_LAYER_CONTEXT_DATA LEDS_ergodox(\
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_GREEN,     LC_GREEN,     LC_GREEN,     LC_YELLOW, \
        LC_YELLOW,      LC_GREEN,     LC_GREEN,     LC_GREEN,     LC_GREEN, \
        LC_YELLOW,      LC_GREEN,     LC_GREEN,     LC_GREEN,     LC_YELLOW, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF, \
        \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
        LC_OFF,         LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF, \
                        LC_OFF,       LC_OFF,       LC_OFF,       LC_OFF  \
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#ifdef BETA_LAYER_INDICATORS
    case BETA_LAYER_MAGIC_MACRO:
        ergodox_right_led_1_on();
        //ergodox_right_led_2_on();
        //ergodox_right_led_3_on();
        break;
#endif


#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO